%define upstream_name    Module-Packaged-Generator
%define upstream_version 1.111930

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 19

Summary:    Role to provide easy url fetching
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DBI)
BuildRequires: perl(Devel::Platform::Info::Linux)
BuildRequires: perl(Exporter::Lite)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::HomeDir::PathClass)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(FindBin)
BuildRequires: perl(Getopt::Long::Descriptive)
BuildRequires: perl(LWP::Simple)
BuildRequires: perl(Log::Dispatchouli)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(MooseX::ClassAttribute)
BuildRequires: perl(MooseX::Has::Sugar)
BuildRequires: perl(MooseX::SemiAffordanceAccessor)
BuildRequires: perl(MooseX::Singleton)
BuildRequires: perl(Parse::CPAN::Packages::Fast)
BuildRequires: perl(Term::ProgressBar::Quiet)
BuildRequires: perl(Test::MockObject)
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%description
This module allows to fetch modules available as native Linux (or BSD)
distribution packages, and wraps them in a sqlite database. This allows
people to do analysis, draw CPANTS metrics from it or whatever.

Of course, running the utility shipped in this dist will only create the
database for the current distribution. But that's not our job to do crazy
manipulation with this data, we just provide the data :-)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/pkgcpan
%{_mandir}/man1/pkgcpan.1*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.111.930-19.mga10
+ Revision: 2199799
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.111.930-18.mga9
+ Revision: 1804579
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.111.930-17.mga8
+ Revision: 1495631
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.111.930-16.mga7
+ Revision: 1269557
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.111.930-15.mga6
+ Revision: 1030227
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 1.111.930-14.mga6
+ Revision: 935159
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.111.930-13.mga5
+ Revision: 749324
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Jun 06 2014 jquelin <jquelin> 1.111.930-11.mga5
+ Revision: 633940
- perl 5.20 rebuild

* Thu Mar 20 2014 jquelin <jquelin> 1.111.930-10.mga5
+ Revision: 606086
- perl 5.18.2 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.111.930-9.mga4
+ Revision: 525764
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 jquelin <jquelin> 1.111.930-8.mga4
+ Revision: 434480
- perl 5.18.0 rebuild

* Mon Mar 18 2013 jquelin <jquelin> 1.111.930-7.mga3
+ Revision: 403823
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.111.930-6.mga3
+ Revision: 369937
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 1.111.930-5.mga3
+ Revision: 315012
- perl 5.16.2 shebang rebuild

* Fri Aug 24 2012 jquelin <jquelin> 1.111.930-4.mga3
+ Revision: 283546
- perl 5.16.1 rebuild

* Mon Jun 04 2012 jquelin <jquelin> 1.111.930-3.mga3
+ Revision: 254210
- fix shebang with new perl 5.16 path

* Fri Oct 14 2011 jquelin <jquelin> 1.111.930-2.mga2
+ Revision: 155132
- perl 5.14.2 rebuild
- update to 1.111930

* Fri Jul 08 2011 jquelin <jquelin> 1.111.890-1.mga2
+ Revision: 120272
- update buildrequires:
- imported package perl-Module-Packaged-Generator


* Fri Jul 08 2011 cpan2dist 1.111890-1mga
- initial mageia release, generated with cpan2dist
